Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.blueprint.activator
Class BlueprintLoaderListener

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.activator.ContextLoaderListener
          org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.BlueprintLoaderListener

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class BlueprintLoaderListener

extends ContextLoaderListener

RFC124 extension to the Spring DM extender.

Author:
  Costin Leau

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.extender.internal.activator.ContextLoaderListener
`log`

Constructor Summary
`BlueprintLoaderListener()`

Method Summary
`protected void` | `addApplicationListener(OsgiBundleApplicationContextEventMulticaster multicaster)`
`protected ApplicationContextConfiguration` | `createContextConfig(org.osgi.framework.Bundle bundle)`
`protected ApplicationContextConfigurationFactory` | `createContextConfigFactory()`
`protected OsgiContextProcessor` | `createContextProcessor()`
`protected String` | `getManagedBundleExtenderVersionHeader()`
`protected TypeCompatibilityChecker` | `getTypeCompatibilityChecker()`
`protected ExtenderConfiguration` | `initExtenderConfiguration(org.osgi.framework.BundleContext bundleContext)`
`void` | `start(org.osgi.framework.BundleContext context)` Called by OSGi when this bundle is started.
`void` | `stop(org.osgi.framework.BundleContext context)` Called by OSGi when this bundled is stopped.

Methods inherited from class org.eclipse.gemini.blueprint.extender.internal.activator.ContextLoaderListener
`initListenerService, initNamespaceHandlers, initStartedBundles, maybeAddNamespaceHandlerFor, maybeRemoveNameSpaceHandlerFor, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintLoaderListener

    public BlueprintLoaderListener()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

  Description copied from class: `ContextLoaderListener`

  Called by OSGi when this bundle is started. Finds all previously resolved bundles and adds namespace handlers for them if necessary.

  Creates application contexts for bundles started before the extender was started.

  Registers a namespace/entity resolving service for use by web app contexts.

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `ContextLoaderListener`
  Throws:
    `Exception`
  See Also:
    `BundleActivator.start(org.osgi.framework.BundleContext)`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

  Description copied from class: `ContextLoaderListener`
  Called by OSGi when this bundled is stopped. Unregister the namespace/entity resolving service and clear all state. No further management of application contexts created by this extender prior to stopping the bundle occurs after this point (even if the extender bundle is subsequently restarted).

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `ContextLoaderListener`
  Throws:
    `Exception`
  See Also:
    `BundleActivator.stop(org.osgi.framework.BundleContext)`

### initExtenderConfiguration

    protected ExtenderConfiguration initExtenderConfiguration(org.osgi.framework.BundleContext bundleContext)

  Overrides:
    `initExtenderConfiguration` in class `ContextLoaderListener`

### createContextConfigFactory

    protected ApplicationContextConfigurationFactory createContextConfigFactory()

  Overrides:
    `createContextConfigFactory` in class `ContextLoaderListener`

### createContextProcessor

    protected OsgiContextProcessor createContextProcessor()

  Overrides:
    `createContextProcessor` in class `ContextLoaderListener`

### getTypeCompatibilityChecker

    protected TypeCompatibilityChecker getTypeCompatibilityChecker()

  Overrides:
    `getTypeCompatibilityChecker` in class `ContextLoaderListener`

### getManagedBundleExtenderVersionHeader

    protected String getManagedBundleExtenderVersionHeader()

  Overrides:
    `getManagedBundleExtenderVersionHeader` in class `ContextLoaderListener`

### addApplicationListener

    protected void addApplicationListener(OsgiBundleApplicationContextEventMulticaster multicaster)

  Overrides:
    `addApplicationListener` in class `ContextLoaderListener`

### createContextConfig

    protected ApplicationContextConfiguration createContextConfig(org.osgi.framework.Bundle bundle)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.